.carousel-item {
    height: 600px;
    position: relative;
    overflow: hidden;
}

.caption-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 1000px;
    width: 90%;
    padding: 20px;
}

.caption-title {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 180%;
    font-weight: 400;
    font-size: 40px;
    color: #fff !important;
}

.carousel-text {
    font-weight: 300; 
    font-size: 21px;
}

.carousel-item img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    opacity: 0.5;
}

.inside-indicators {
    position: absolute;
    bottom: 20px;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    z-index: 15;
}

.inside-indicators .indicator {
    width: 30px;
    height: 3px;
    background-color: rgba(255, 255, 255, 0.5);
    margin: 0 5px;
    cursor: pointer;
}

.inside-indicators .indicator.active {
    background-color: #fff;
}

.watch-now-btn {
    display: inline-block !important;
    width: auto !important;
    font-weight: 300 !important;
    background-color: #0088ff !important;
    border-radius: 30px !important;
    font-size: 2.25rem !important;
    color: #fff !important;
    padding: 12px 35px !important;
}

.inside-indicators .indicator.active {
    background-color: #0088ff;
}